
CoCoALib - Design #1607

Coding guidelines

03 Aug 2021 11:17 - John Abbott

Status: New Start date: 03 Aug 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.00 hour

Description

I have just found the following link

https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines

apparently written/maintained by Stroustrup and Sutter.

The web page there is quite long!

We could consider it as an alternative to Scott Meyers's guidelines

(though I probably have a preference for Scott Meyers).

This is perhaps not really an issue, but I wanted to record the link somewhere.

Related issues:

Related to CoCoA-5 - Design #1544: CoCoA coding conventions for parser/interp... New 04 Dec 2020

Related to CoCoALib - Design #1145: File names, coding conventions: Fns, Ops,... Closed 19 Dec 2017

Related to CoCoALib - Design #1144: File names, coding conventions: Fns, Ops,... Closed 18 Dec 2017

History

#1 - 03 Aug 2021 14:18 - Anna Maria Bigatti

- Description updated

#2 - 04 Aug 2021 12:24 - Anna Maria Bigatti

- Related to Design #1544: CoCoA coding conventions for parser/interprer? added

#3 - 04 Aug 2021 12:24 - Anna Maria Bigatti

- Related to Design #1145: File names, coding conventions: Fns, Ops, Operations? part 2 added

#4 - 04 Aug 2021 12:25 - Anna Maria Bigatti

- Related to Design #1144: File names, coding conventions: Fns, Ops, Operations? part 1 added

#5 - 16 Feb 2024 10:02 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900

Powered by TCPDF (www.tcpdf.org)

30 Apr 2024 1/1

https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines
http://www.tcpdf.org

